(function () {
	/*
	 * コンソール画面表示
	 */
	showConsole = function () {
		applican.console.show();
	};

	/*
	 * 冗長ログの出力
	 */
	verboseConsole = function () {
		var val = document.getElementById("verboseVal").value;
		applican.console.verbose(val);
	};

	/*
	 * デバッグログの出力
	 */
	debugConsole = function () {
		var val = document.getElementById("debugVal").value;
		applican.console.debug(val);
	};

	/*
	 * 情報ログの出力
	 */
	infoConsole = function () {
		var val = document.getElementById("infoVal").value;
		applican.console.info(val);
	};

	/*
	 * 警告ログの出力
	 */
	warnConsole = function () {
		var val = document.getElementById("warnVal").value;
		applican.console.warn(val);
	};

	/*
	 * エラーログの出力
	 */
	errorConsole = function () {
		var val = document.getElementById("errorVal").value;
		applican.console.error(val);
	};

	/*
	 * dump
	 */
	dump = function (id, message) {
		document.getElementById(id).value = message;
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function () {
		// 「show」ボタン押下処理
		document.getElementById("showBtn").addEventListener("touchend", showConsole, false);
		// 「verbose」ボタン押下処理
		document.getElementById("verboseBtn").addEventListener("touchend", verboseConsole, false);
		// 「debug」ボタン押下処理
		document.getElementById("debugBtn").addEventListener("touchend", debugConsole, false);
		// 「info」ボタン押下処理
		document.getElementById("infoBtn").addEventListener("touchend", infoConsole, false);
		// 「warn」ボタン押下処理
		document.getElementById("warnBtn").addEventListener("touchend", warnConsole, false);
		// 「error」ボタン押下処理
		document.getElementById("errorBtn").addEventListener("touchend", errorConsole, false);
	}, false);
})();
